Bug 132492 - rdesktop 1.3.1 captures xscreensaver/xlock password
Summary: rdesktop 1.3.1 captures xscreensaver/xlock password
Status: CLOSED DUPLICATE of bug 104713
Alias: None
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks: FC3Blocker
TreeView+ depends on / blocked
 
Reported: 2004-09-14 02:19 UTC by Dax Kelson
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 19:05:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dax Kelson 2004-09-14 02:19:18 UTC
Description of problem:

"If the rdesktop window is active/has focus when the screen is
locked by xscreensaver/xlock then unlocking the screen results in the
password being grabbed by rdesktop and inserted into whichever
window application has focus within rdesktop.

Several times now I have submitted my password to my MSN buddies and
my password has been included in documents and spreadsheets I was
editing. One time I printed a document where a sentence had been
replaced by my password!" 

(note that this description is lifted from rdesktop's bug tracker, but
I've the exact same thing happen to me)

Version-Release number of selected component (if applicable):
v1.3.1

How reproducible:
every time

Steps to Reproduce:
1. Establish rdesktop session to remote windows host
2. Open notepad 
3. Wait for xscreensaver to lock your screen
4. Unlock your screen
5. See how your password is in notepad

Additional info:

There a couple bugs open in rdesktop's bug tracker, but they have no
activity.

http://sourceforge.net/tracker/index.php?func=detail&aid=1006724&group_id=24366&atid=381347
http://sourceforge.net/tracker/index.php?func=detail&aid=968108&group_id=24366&atid=381347

Comment 1 Warren Togami 2004-09-14 02:23:22 UTC
Ray is this an xscreensaver bug?


Comment 2 Mark McLoughlin 2004-09-24 15:21:03 UTC

*** This bug has been marked as a duplicate of 104713 ***

Comment 3 Red Hat Bugzilla 2006-02-21 19:05:37 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.